package tdmap

type TableRowMateria struct {
	SuperTableName string
	TableName      string

	TagColumns []string // tag列名
	TagValues  []any    // tag值

	Columns []string // 列名
	Values  []any    // 值
}

// StructMate  静态化的结构体信息
type StructMate struct {
	UniqueTypeName string // 结构体的唯一标识符

	DBName2IndexCache map[string][]int  // db 注解的名称到索引的映射缓存
	Field2IndexCache  map[string][]int  // 字段名到索引的映射缓存
	Filed2DBNameCache map[string]string // 字段名到 db 注解的名称的映射缓存

	DBAnnotatedNames []string // 包含 db 注解的 属性的名称
	TaggedFieldNames []string // 包含的 tag 注解的 属性的名称
	SuperTableName   string   // 超级表名
}
